Summary: A collection of BSD (Berkeley Standard Distribution) games.
Name: bsd-games
Version: 2.9
Release: 9
Copyright: distributable
Group: Amusements/Games
Source0: ftp://metalab.unc.edu/pub/Linux/games/bsd-games-%{version}.tar.gz
Patch0: bsd-games-2.9-config.patch
Patch1: bsd-games-2.8-hole.patch
Patch2: bsd-games-2.8.patch
Patch3: bsd-games-2.8-from.patch
Patch4: bsd-games-2.8-ospeed.patch
Patch5: abs-conflict.patch
Patch6: bsd-games-2.9-getline.patch
Buildroot: %{_tmppath}/bsd-%{version}-games
Requires: textutils

%description
Bsd-games includes adventure, arithmetic, atc, backgammon, battlestar,
bcd, caesar, canfield, cfscores, cribbage, dm, factor, fish, gomoku,
hunt, mille, monop, morse, number, phantasia, pig, pom, ppt, primes,
quiz, rain, random, robots, rot13, sail, snake, snscore, teachgammon,
tetris-bsd, trek, wargames, worm, worms and wump.

%prep
%setup -q
%patch -p1 -b .config
%patch1 -p1 -b .hole
%patch2 -p1 -b .tim
%patch3 -p1 -b .from
%patch4 -p1 -b .ospeed
%patch5 -p1 -b .tim
%patch6 -p1 -b .getline

%build
chmod +x install-man
chmod +x install-score
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
#make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" 

%install
rm -rf $RPM_BUILD_ROOT
make RPM_BUILD_ROOT="$RPM_BUILD_ROOT" install

mkdir -p $RPM_BUILD_ROOT%{_mandir}
mv $RPM_BUILD_ROOT/usr/man/* $RPM_BUILD_ROOT%{_mandir}
rm -rf $RPM_BUILD_ROOT/usr/man

rm -f $RPM_BUILD_ROOT/usr/games/countmail
rm -f $RPM_BUILD_ROOT/%{_mandir}/man6/countmail*

chmod 755 $RPM_BUILD_ROOT/var/lib/games/sail

#find $RPM_BUILD_ROOT/usr/share/games/* -type d | sed -e "s#^$RPM_BUILD_ROOT#%%dir #g" > files.list
#find $RPM_BUILD_ROOT/var/lib/games/* -not -name /var/lib/games -type d | sed -e "s#^$RPM_BUILD_ROOT#%%dir #g" >> files.list

#find $RPM_BUILD_ROOT/usr -type f | sed "s#^$RPM_BUILD_ROOT##g" |
#  sed "s|/usr/games/dm|%attr\(2755,root,games\) /usr/games/dm|" >> files.list

#find $RPM_BUILD_ROOT/var/lib/games -type f | sed -e "s#^$RPM_BUILD_ROOT##g" >> files.list

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/games/adventure
/usr/games/arithmetic
%attr(2755,root,games) /usr/games/atc
/usr/games/backgammon
/usr/games/teachgammon
%attr(2755,root,games) /usr/games/battlestar
/usr/games/bcd
/usr/games/caesar
/usr/games/rot13
%attr(2755,root,games) /usr/games/canfield
%attr(2755,root,games) /usr/games/cfscores
%attr(2755,root,games) /usr/games/cribbage
%attr(2755,root,games) /usr/games/dm
/usr/games/factor
/usr/games/fish
/usr/games/gomoku
/usr/games/hunt
/usr/games/mille
/usr/games/monop
/usr/games/morse
/usr/games/number
%attr(2755,root,games) /usr/games/phantasia
/usr/games/pig
/usr/games/pom
/usr/games/ppt
/usr/games/primes
/usr/games/quiz
/usr/games/rain
/usr/games/random
%attr(2755,root,games) /usr/games/robots
%attr(2755,root,games) /usr/games/sail
%attr(2755,root,games) /usr/games/snake
/usr/games/snscore
%attr(2755,root,games) /usr/games/tetris-bsd
/usr/games/trek
/usr/games/wargames
/usr/games/worm
/usr/games/worms
/usr/games/wump
/usr/share/games/atc
/usr/share/games/cribbage.instr
/usr/share/games/fish.instr
/usr/share/games/monop-cards.pck
/usr/share/games/quiz
/usr/share/games/wump.info
/usr/share/man/*/*
/usr/sbin/huntd
%attr(664,root,games) /var/lib/games/atc_score
%attr(664,root,games) /var/lib/games/battlestar.log
%attr(664,root,games) /var/lib/games/cfscores
%attr(664,root,games) /var/lib/games/criblog
%dir %attr(775,root,games) /var/lib/games/phantasia
%attr(664,root,games) /var/lib/games/phantasia/*
%dir %attr(775,root,games) /var/lib/games/sail
%attr(644,root,games) /var/lib/games/robots_roll
%attr(664,root,games) /var/lib/games/saillog
%attr(664,root,games) /var/lib/games/snake.log
%attr(664,root,games) /var/lib/games/snakerawscores
%attr(664,root,games) /var/lib/games/tetris-bsd.scores

%changelog
* Fri Feb 16 2001 Tim Powers <timp@redhat.com>
- fixed getline() redefinition, it is included in stdio.h now, so 
  getline had to be renamed. Also, -D_GNU_SOURCE
- fix bug 27850, where certain games need to be setgid games, and 
  their scorefiles etc. need to belong to group games

* Tue Aug 1 2000 Tim Powers <timp@redhat.com>
- fix bug #15013, bad dir permissions

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Thu Jul 13 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}
- don't use internal rpm programs 
- kill countmail, no longer require frm from elm

* Mon Jun 5 2000 Tim Powers <timp@redhat.com>
- fixed man page location to be in %{_mandir}
- fixed so that regular users can build

* Fri May 5 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0
- compress man pages

* Thu Feb 10 2000 Tim Powers <timp@redhat.com>
- strip binaries.

* Sun Nov 21 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.9

* Mon Nov 1 1999 Tim Powers <timp@redhat.com>
- updated source to 2.8
- fixed problem with ospeed being defined in the source instead of including
	termcap.h (new ospeed patch)
- using files list in %files section instead of entering
	_every_single_filename_.

* Sat Aug 21 1999 Bill Nottingham <notting@redhat.com>
- fix countmail (#3722). I must be bored.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- make dm setgid games, not setuid root...

* Fri Jul 9 1999 Tim Powers <timp@redhat.com>
- updated source to 2.7
- updated patches to fix bugs and the braindead configure script, 
  dropped a few of the older patches that made it into this release
- replaced -make install with make install-strip
- built for 6.1

* Wed May 12 1999 Bill Nottingham <notting@redhat.com>
- pick up some more files

* Thu Apr 01 1999 Michael Maher <mike@redhat.com>
- only a fool would add a dependency to this package on a 
  day like today.

* Fri Mar 18 1999 Michael Maher <mike@redhat.com>
- fixed bug 1550

* Mon Feb 08 1999 Michael Maher <mike@redhat.com>
- moved pacakge to PowerTools.

* Thu Jun 18 1998 Alan Cox <alan@redhat.com>
- Chris Evans pointed out a hole in sail I missed.

* Wed Jun 17 1998 Alan Cox <alan@redhat.com>
- Stopped people using cribbage to be able to cheat game score files.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- fixed the config patch so that it will build on non /usr/src/redhat build
  trees

* Tue Apr 07 1998 Erik Troan <ewt@redhat.com>
- updated to bsd-games 2.1
- started over on package
